Bug 835174 - [abrt] linphone-3.5.2-3.fc17: vasprintf: Process /usr/bin/linphone was killed by signal 11 (SIGSEGV)
[abrt] linphone-3.5.2-3.fc17: vasprintf: Process /usr/bin/linphone was killed...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: linphone (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: nucleo
Fedora Extras Quality Assurance
abrt_hash:3418d53346f23ea1c178b053a05...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-25 14:17 EDT by Mikhail
Modified: 2013-07-31 14:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 14:23:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (238.45 KB, text/plain)
2012-06-25 14:17 EDT, Mikhail
no flags Details
File: maps (34.00 KB, text/plain)
2012-06-25 14:17 EDT, Mikhail
no flags Details
File: dso_list (10.22 KB, text/plain)
2012-06-25 14:17 EDT, Mikhail
no flags Details
File: build_ids (4.48 KB, text/plain)
2012-06-25 14:17 EDT, Mikhail
no flags Details

  None (edit)
Description Mikhail 2012-06-25 14:17:06 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        linphone
crash_function: vasprintf
executable:     /usr/bin/linphone
kernel:         3.4.3-1.fc17.i686.PAE
pid:            3866
pwd:            /home/eva
time:           Пн. 25 июня 2012 12:46:16
uid:            1001
username:       eva
xsession_errors: 

backtrace:      Text file, 244168 bytes
build_ids:      Text file, 4592 bytes
dso_list:       Text file, 10467 bytes
maps:           Text file, 34817 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/eva/4

core_backtrace:
:0207d5953b76482d89328efc6cad7188bc3f7c1a 0x44a6c vfprintf libc.so.6 -
:0207d5953b76482d89328efc6cad7188bc3f7c1a 0x109851 __vasprintf_chk libc.so.6 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x878f7 g_vasprintf libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x64894 g_strdup_vprintf libglib-2.0.so.0 -
:5573cd271a8a2f5beb0d2e2d589170fc2c8e0289 0x1f1b8 linphone_gtk_log_push [exe] -
:09a7a5092e42c727327acb0ea5f164e794fd6102 0x96c4 - libortp.so.8 -
:09a7a5092e42c727327acb0ea5f164e794fd6102 0xaea7 rtp_session_update_payload_type libortp.so.8 -
:09a7a5092e42c727327acb0ea5f164e794fd6102 0x93a7 rtp_session_rtp_parse libortp.so.8 -
:09a7a5092e42c727327acb0ea5f164e794fd6102 0xd778 rtp_session_rtp_recv libortp.so.8 -
:09a7a5092e42c727327acb0ea5f164e794fd6102 0xb3ba rtp_session_recvm_with_ts libortp.so.8 -
:c02b10fba65790fa676294fd9c05799bd065ffd8 0xf516 - libmediastreamer.so.1 -
:c02b10fba65790fa676294fd9c05799bd065ffd8 0xbfc0 ms_filter_process libmediastreamer.so.1 -
:c02b10fba65790fa676294fd9c05799bd065ffd8 0xcb88 - libmediastreamer.so.1 -
:c02b10fba65790fa676294fd9c05799bd065ffd8 0xcc93 - libmediastreamer.so.1 -
:c02b10fba65790fa676294fd9c05799bd065ffd8 0xce71 ms_ticker_run libmediastreamer.so.1 -
:3315dc1f02dea0ab28a3f5f08ce3f07c9e156291 0x6adf start_thread libpthread.so.0 -
:0207d5953b76482d89328efc6cad7188bc3f7c1a 0xf156e clone libc.so.6 -

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=4
:HOSTNAME=p5k
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=02dd4a7644acf695092726df00000077-1340588974.464470-1999987072
:QTDIR=/usr/lib/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/eva/keyring-BArSgM
:QTINC=/usr/lib/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=eva
:USERNAME=eva
:MAIL=/var/spool/mail/eva
:PATH=/usr/lib/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/eva
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=2119
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/eva
:SHLVL=1
:LOGNAME=eva
:QTLIB=/usr/lib/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-Oqca5s2MG9,guid=a8478b6f3b32cd0cd8e1ef8e00000032
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/eva
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-eva-bnErku/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2123,unix/unix:/tmp/.ICE-unix/2123
:SSH_AUTH_SOCK=/run/user/eva/keyring-BArSgM/ssh
:GPG_AGENT_INFO=/run/user/eva/keyring-BArSgM/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-linphone.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=3866

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 32165                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       32165                32165                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/eva/.xsession-errors
:pos:	4251039
:flags:	02002
:2:/home/eva/.xsession-errors
:pos:	4251039
:flags:	02002
:3:socket:[165427]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[167030]
:pos:	0
:flags:	02

smolt_data:
:
:
:General
:=================================
:UUID: 19815844-d1b0-4560-89c6-5f679132ab98
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: i686
:BogoMIPS: 4810.90
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Quad CPU    Q6600  @ 2.40GHz
:CPU Stepping: 11
:CPU Family: 6
:CPU Model Num: 15
:Number of CPUs: 4
:CPU Speed: 2394
:System Memory: 4037
:System Swap: 16383
:Vendor: System manufacturer
:System: P5K System Version
:Form factor: Desktop
:Kernel: 3.4.3-1.fc17.i686.PAE
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10688:4163:33398) pci, None, HOST/PCI, 82G33/G31/P35/P31 Express DRAM Controller
:(32902:10689:4163:33398) pci, pcieport, PCI/PCI, 82G33/G31/P35/P31 Express PCI Express Root Port
:(32902:10544:4163:33399) pci, None, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10531:4163:33399) pci, ahci, STORAGE, 82801IB (ICH9) 4 port SATA AHCI Controller
:(32902:10520:4163:33399) pci, None, PCI/ISA, 82801IB (ICH9) LPC Interface Controller
:(6505:4168:4163:33318) pci, atl1, ETHERNET, P5KPL-VM Motherboard
:(32902:10549:4163:33399) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:9294:4163:33399) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:10553:4163:33399) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10550:4163:33399) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10554:4163:33399) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:4163:33399) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(6523:9059:4163:33359) pci, pata_jmicron, STORAGE, JMB362/JMB363 Serial ATA Controller
:(6523:9059:4163:33359) pci, ahci, STORAGE, JMB362/JMB363 Serial ATA Controller
:(32902:10560:4163:33399) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10568:4163:33399) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 5
:(32902:10558:4163:33439) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10551:4163:33399) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10548:4163:33399) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(4318:1553:6618:4160) pci, nouveau, VIDEO, ZT-88TES2P-FSP
:(32902:10570:4163:33399) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 6
:(4358:12356:4163:33278) pci, firewire_ohci, FIREWIRE, M4A series motherboard
:(32902:10552:4163:33399) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda2 / ext4 4096 4096 7314137 4005860 3932631 1835008 1441105 1441105
:/dev/sdb1 /home ext4 4096 4096 365905239 215847471 197533271 91578368 91302864 91302864
:

var_log_messages:
:Jun 25 12:46:16 p5k kernel: [17851.939676] linphone[7085]: segfault at 20 ip 4f046a6c sp abd98720 error 4 in libc-2.15.so[4f002000+1a8000]
:Jun 25 12:46:16 p5k abrt[7125]: Saved core dump of pid 3866 (/usr/bin/linphone) to /var/spool/abrt/ccpp-2012-06-25-12:46:16-3866 (93040640 bytes)
Comment 1 Mikhail 2012-06-25 14:17:11 EDT
Created attachment 594254 [details]
File: backtrace
Comment 2 Mikhail 2012-06-25 14:17:13 EDT
Created attachment 594255 [details]
File: maps
Comment 3 Mikhail 2012-06-25 14:17:16 EDT
Created attachment 594256 [details]
File: dso_list
Comment 4 Mikhail 2012-06-25 14:17:18 EDT
Created attachment 594257 [details]
File: build_ids
Comment 5 Fedora Admin XMLRPC Client 2013-01-29 08:04:06 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2013-05-11 17:12:11 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora End Of Life 2013-07-03 15:37:04 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-07-31 14:23:22 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.